Bug 8248 - Invalid characters entered in bib record cause 500 error
Summary: Invalid characters entered in bib record cause 500 error
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-14 15:52 UTC by SJeffery
Modified: 2015-12-03 22:00 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
text to reproduce error (68.38 KB, application/pdf)
2012-06-14 15:52 UTC, SJeffery
Details

Note You need to log in before you can comment on or make changes to this bug.
Description SJeffery 2012-06-14 15:52:49 UTC
Created attachment 10282 [details]
text to reproduce error

Entering text with invalid characters causes Koha to return a 500 Internal Server Error in when submit is pressed. The bib record is NOT created. I am attaching a document here with text (see the English abstract) that causes this to happen. This occurs in both 3.6 and 3.8 in IE8.
Comment 1 Owen Leonard 2014-07-15 17:35:42 UTC
Does anyone know if this bug is still valid, and if so how to reproduce it? I'm not exactly sure what kind of "invalid" characters we're supposed to be finding in the attached PDF. Are non-ascii characters considered "invalid?"

FWIW I have no problem entering bibliographic data in cataloging whether it be in Firefox or Internet Explorer 11.
Comment 2 Jonathan Druart 2015-04-07 14:25:44 UTC
Should be fixed, please reopen if I am wrong.